Summary: The SASL library API for the Cyrus mail system.
Name: cyrus-sasl
Version: 1.5.24
Release: C4
Copyright: distributable
Group: System Environment/Libraries
Source: ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/cyrus-sasl-%{version}.tar.gz
Patch0: cyrus-sasl-1.5.24-syslog.patch
URL: http://asg.web.cmu.edu/cyrus/imapd/
Buildroot:/var/tmp/cyrus-sasl-root
Provides: libsasl

%description
The cyrus-sasl package contains the SASL library API implementation
for the Cyrus mail system.  The libraries are also used by 
Sendmail 8.10 and 8.11 for secure login (no more plaintext passwords!)

%prep
%setup -n cyrus-sasl-%{version}
%patch0 -p1 -b .syslog

%build
(
  cd $RPM_BUILD_DIR/cyrus-sasl-%{version}
  ./configure --prefix=/usr
  make
)

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/sasl
mkdir -p $RPM_BUILD_ROOT/usr/sbin

(
  cd $RPM_BUILD_DIR/cyrus-sasl-%{version}
  make prefix=$RPM_BUILD_ROOT/usr install
)

strip -s $RPM_BUILD_ROOT/usr/sbin/* || :
chmod 755 $RPM_BUILD_ROOT/usr/lib/sasl/*
chmod 755 $RPM_BUILD_ROOT/usr/lib/libsasl*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

if [ -x /usr/sbin/sasldblistusers ]; then
    /usr/sbin/sasldblistusers &> /dev/null </dev/null
fi

if [ -e /etc/sasldb ]; then
    chmod 0600 /etc/sasldb
fi

exit 0

%postun
/sbin/ldconfig

if [ -e /etc/sasldb ]; then
    rm -f /etc/sasldb
fi

exit 0

%files
%defattr(-,root,root)
%dir /usr/lib/sasl
/usr/include/*.h
/usr/lib/sasl/*
/usr/lib/libsasl*
/usr/man/man3/*
/usr/man/man8/*
%attr(0755,root,root) /usr/sbin/saslpasswd
%attr(0700,root,root) /usr/sbin/sasldblistusers

%changelog
* Tue Dec 12 2001 Jeff Lovell <jeffrey.lovell@sun.com> 1.5.24-C4
- add syslog patch

* Tue Aug 22 2000 Duncan Laurie <duncan@cobalt.com> 1.5.24-C1
- build latest sources

* Wed May 17 2000 Duncan Laurie <duncan@cobalt.com> 1.5.21-C2
- call sasldblistusers to generate /etc/sasldb
  on package install

* Mon May 08 2000 Duncan Laurie <duncan@cobalt.com> 1.5.21-C1
- update to latest release

* Sun Apr 30 2000 Duncan Laurie <duncan@cobalt.com> 1.5.20-C2
- install default empty /etc/sasldb file

* Wed Apr 26 2000 Duncan Laurie <duncan@cobalt.com> 1.5.20-C1
- update to latest release from CMU

* Tue Apr  4 2000 Duncan Laurie <duncan@cobalt.com> 1.5.15-C1
- first build for Cobalt RaQ4

